(* Mathematica Init File *)

Off[General::shdw]
Remove[System`Bra, System`Ket, System`BraKet]

Get["QuantumAlgebra`QuantumAlgebra`"]

SetBoxes[];
SetQuantumNotation[];

Print["Application Quantum Algebra by Juergen Habelt"];
Print["This package is based on the work of Cesar Guerra G.,"];
Print["who developed the original package for Mathematica 4.1/4.2"];
Print["For proper styling you should invoke SetNotebookStyles once."];

Print[SetNotationAliases[]];

CloseNotationPalette[];

QAInitializeReplacementRules[];
On[General::shdw]
