
(*	TODO: Problems with QAIntegrate
	- DiracDelta: integration variable left over is merely a convention
	- Product of Integrals: automatically rename integration variables?
	- Integration maybe equivalent with different integration variables -> impose rule?
	- Integral about DiracDelta and 2 integration ranges only valid for Infinity? - shrink validity?
	  (also for one integration range)
*)

(* Integrate about 0 *)
Test[
	QAIntegrate[0, V, 3, x],
	0,
	TestID->"Integrate-20181213-S5W1J8"
]

(* Integrate about constant *)
Test[
	QAIntegrate[Pi, V, 3, x],
	Pi V,
	TestID->"Integrate-20181213-D4I4H9"
]

(* Put constant outside Integrate *)
Test[
	QAIntegrate[E QASimplescript[x, 1, True], V, 3, x],
	E QAIntegrate[QASimplescript[x, 1, True], V, 3, x],
	TestID->"Integrate-20181213-O9I5B4"
]

(* Combine product of Integrations *)
Test[
	QAIntegrate[QASimplescript[x, 1, True], U, 3, x] QAIntegrate[QASimplescript[y, 2, True], V, 3, y],
	QAIntegrate[QASimplescript[x, 1, True] QASimplescript[y, 2, True],  AngleBracket[U, V], 3, x, y],
	TestID->"Integrate-20181213-P3R4W5"
]
